Package com.orbbec.obsensor

## Enum MediaType

- java.lang.Object
- - java.lang.Enum<MediaType>
  - - com.orbbec.obsensor.MediaType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MediaType>`

    public enum MediaType
    extends java.lang.Enum<MediaType>

Playback data types

### Enum Constant Summary

Enum Constants
`OB_MEDIA_ACCEL_STREAM` accel stream
`OB_MEDIA_ALL` all types
`OB_MEDIA_CAMERA_PARAM` camera parameter
`OB_MEDIA_COLOR_STREAM` color stream
`OB_MEDIA_DEPTH_STREAM` depth stream
`OB_MEDIA_DEVICE_INFO` device information
`OB_MEDIA_GYRO_STREAM` gyro stream
`OB_MEDIA_IR_STREAM` IR stream
`OB_MEDIA_STREAM_INFO` stream information

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MediaType` `get​(int value)` Get the data stream format corresponding to the specified index
`int` `value()` Get the index corresponding to the data stream format
`static MediaType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MediaType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_MEDIA_COLOR_STREAM

    public static final MediaType OB_MEDIA_COLOR_STREAM

color stream

#### OB_MEDIA_DEPTH_STREAM

    public static final MediaType OB_MEDIA_DEPTH_STREAM

depth stream

#### OB_MEDIA_IR_STREAM

    public static final MediaType OB_MEDIA_IR_STREAM

IR stream

#### OB_MEDIA_GYRO_STREAM

    public static final MediaType OB_MEDIA_GYRO_STREAM

gyro stream

#### OB_MEDIA_ACCEL_STREAM

    public static final MediaType OB_MEDIA_ACCEL_STREAM

accel stream

#### OB_MEDIA_CAMERA_PARAM

    public static final MediaType OB_MEDIA_CAMERA_PARAM

camera parameter

#### OB_MEDIA_DEVICE_INFO

    public static final MediaType OB_MEDIA_DEVICE_INFO

device information

#### OB_MEDIA_STREAM_INFO

    public static final MediaType OB_MEDIA_STREAM_INFO

stream information

#### OB_MEDIA_ALL

    public static final MediaType OB_MEDIA_ALL

all types

### Method Detail

#### values

    public static MediaType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MediaType c : MediaType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MediaType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the data stream format

Returns:
  index value

#### get

    public static MediaType get​(int value)

Get the data stream format corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data stream format